package com.tanpu.feo.feojob.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tanpu.feo.feojob.entity.DemoEntity;
import com.tanpu.feo.feojob.mapper.DemoMapper;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

/**
 * created by xd on 2021/5/18
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class DemoMapperTest {

    @Resource
    private DemoMapper demoMapper;

    @Test
    public void testSelect() {
        List<DemoEntity> all = demoMapper.selectList(null);

        Assert.assertTrue(all.size() > 0);
    }

    @Test
    public void testPage() {
        Page<DemoEntity> mpPage = demoMapper.selectPage(new Page<>(1, 2),
                new QueryWrapper<DemoEntity>().lambda().gt(DemoEntity::getAge, 18));

        List<DemoEntity> records = mpPage.getRecords();
        Assert.assertEquals(2, records.size());
    }

}
